Bug 611123 - 2.6.33.5-124 on Dell E521 does not work with OCZ Vertex SSD drive
2.6.33.5-124 on Dell E521 does not work with OCZ Vertex SSD drive
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 16:16 EDT by Felix Schwarz
Modified: 2010-08-30 14:24 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-2.6.34.6-47.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 14:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Schwarz 2010-07-03 16:16:03 EDT
I bought an OCZ Vertex SSD drive. However Fedora 13 (x86_64) with a 2.6.33.5-124 kernel can not access the drive.

Every time, I want to access the drive (e.g. with fdisk), I get lines like these in the syslog:
May 24 14:47:18 cpt kernel: ata4.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
May 24 14:47:18 cpt kernel: ata4.00: failed command: IDENTIFY DEVICE
May 24 14:47:18 cpt kernel: ata4.00: cmd ec/00:01:00:00:00/00:00:00:00:00/00 tag 0 pio 512 in
May 24 14:47:18 cpt kernel:         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
May 24 14:47:18 cpt kernel: ata4.00: status: { DRDY }
May 24 14:47:18 cpt kernel: ata4: hard resetting link
May 24 14:47:18 cpt kernel: ata4: nv: skipping hardreset on occupied port
May 24 14:47:18 cpt kernel: ata4: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
May 24 14:47:18 cpt kernel: ata4.00: configured for UDMA/133
May 24 14:47:18 cpt kernel: ata4: EH complete


I suspect that this has something to do with my hardware (nVidia Chipset, Dell E521). This is my lspci output:
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
00:0a.2 RAM memory: nVidia Corporation MCP51 Memory Controller 0 (rev a3)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
03:00.0 VGA compatible controller: nVidia Corporation G72 [GeForce 7300 LE] (rev a1)
04:07.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)


Probably it is an upstream problem, I guess. If I should report that upstream, I'd need some help on how to do that.
Comment 1 Chuck Ebbert 2010-07-06 10:15:44 EDT
Can you try 2.6.34.1 from koji? You would need to manually download the kernel for your system (i686 or x86_64) and run the command yum localinstall <kernel>

http://koji.fedoraproject.org/koji/buildinfo?buildID=181064
Comment 2 Felix Schwarz 2010-07-06 13:45:09 EDT
Yes, actually 2.6.34.1 works way better. I can now use the drive without timeouts. Thanks a lot.
Comment 3 Fedora Update System 2010-08-10 19:54:29 EDT
kernel-2.6.34.3-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13
Comment 4 Fedora Update System 2010-08-11 03:26:49 EDT
kernel-2.6.34.3-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.34.3-37.fc13
Comment 5 Chuck Ebbert 2010-08-18 05:43:41 EDT
2.6.34 kernel has been withdrawn.
Comment 6 Fedora Update System 2010-08-27 07:23:57 EDT
kernel-2.6.34.6-47.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kernel-2.6.34.6-47.fc13
Comment 7 Fedora Update System 2010-08-30 14:22:42 EDT
kernel-2.6.34.6-47.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.